//  AuthenticatorPrivateKey.java
//
//  Last modified 2/17/99 by Alan Frindell
//
//  Struct like class that implements the PrivateKey interface.

package Authenticator;

import java.security.PrivateKey;
import java.math.BigInteger;

public class AuthenticatorPrivateKey implements PrivateKey {

  public BigInteger R;
  public BigInteger p;
  public BigInteger t;

  public AuthenticatorPrivateKey(BigInteger R, BigInteger p, BigInteger t)
    {
      this.R = R;
      this.p = p;
      this.t = t;
    }

  //  We must implement the following methods, although they are not
  // supported and do not need to be called in our system.

  public String getAlgorithm() { 
    return "Authenticator";
  }

  public String getFormat() {
    return null;
  }

  public byte[] getEncoded() {
    return null;
  }

};
