//  ChatConsumer.java
//
//  Last modified 2/17/99 by Alan Frindell
//
//  RMI interface for the ChatConsumer callback object.
//
//  This interface has only one method: consumerMessage.  This is called
// from the server after someone posts a message to the chat room.
//
//  You will need to change this to implement security features of the
// chat system.


package Authenticator.Chat;

import java.rmi.*;

interface ChatConsumer extends Remote {

  public void consumeMessage(String msg) throws RemoteException;

}
